The following commit has been merged in the master branch:
commit 2b9bb4dc711177bfe957f63481bcf4070c52ebd0
Author: Francesco Paolo Lovergine <fran...@debian.org>
Date:   Mon Jul 18 12:41:27 2011 +0200

    Fixed Swig support and removed obsolete python related stuff.

diff --git a/debian/changelog b/debian/changelog
index 9c91432..d70d870 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,12 @@
+geos (3.2.2-3) unstable; urgency=low
+
+  * New patch: swig. Fixed for strong version detection in ac_pkg_swig.m4.
+    Merged from 3.3 series. Thanks strk. (closes: #631819)
+  * Removed obsolete python build-deps, because now the suggested binding
+    is via shapely. (closes: #616823)
+
+ -- Francesco Paolo Lovergine <fran...@debian.org>  Mon, 18 Jul 2011 12:23:11 
+0200
+
 geos (3.2.2-2) unstable; urgency=low
 
   * Policy bumped to 3.9.2, no changes.
diff --git a/debian/control b/debian/control
index c820c9d..3662ee9 100644
--- a/debian/control
+++ b/debian/control
@@ -3,8 +3,7 @@ Section: science
 Priority: optional
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Francesco Paolo Lovergine <fran...@debian.org>
-Build-Depends: debhelper (>= 8), doxygen, swig, ruby, ruby-dev,
- python-all, python-all-dev, python-central (>= 0.5)
+Build-Depends: debhelper (>= 8), doxygen, swig, ruby, ruby-dev
 Standards-Version: 3.9.2
 Homepage: http://trac.osgeo.org/geos/
 Vcs-Browser: http://git.debian.org/?p=pkg-grass/geos.git
diff --git a/debian/control.in b/debian/control.in
index 5784870..2cc578a 100644
--- a/debian/control.in
+++ b/debian/control.in
@@ -3,8 +3,7 @@ Section: science
 Priority: optional
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Francesco Paolo Lovergine <fran...@debian.org>
-Build-Depends: debhelper (>= 8), doxygen, swig, ruby, ruby-dev,
- python-all, python-all-dev, python-central (>= 0.5)
+Build-Depends: debhelper (>= 8), doxygen, swig, ruby, ruby-dev
 Standards-Version: 3.9.2
 Homepage: http://trac.osgeo.org/geos/
 Vcs-Browser: http://git.debian.org/?p=pkg-grass/geos.git
diff --git a/debian/patches/series b/debian/patches/series
index c778044..5f0826a 100644
--- a/debian/patches/series
+++ b/debian/patches/series
@@ -10,3 +10,4 @@ DouglasPeuckerLineSimplifier.h
 TaggedLineString.cpp
 TaggedLineString.h
 TaggedLineStringSimplifier.h
+swig
diff --git a/debian/patches/swig b/debian/patches/swig
new file mode 100644
index 0000000..f326d58
--- /dev/null
+++ b/debian/patches/swig
@@ -0,0 +1,23 @@
+Index: trunk/macros/ac_pkg_swig.m4
+===================================================================
+--- trunk/macros/ac_pkg_swig.m4        (revision 2013)
++++ trunk/macros/ac_pkg_swig.m4        (revision 3000)
+@@ -25,4 +25,7 @@
+ dnl @version 2004-09-20
+ dnl @license GPLWithACException
++dnl
++dnl Fixed by Sandro Santilli to consider 2.0.0 > 1.3.37 (2010-06-15)
++dnl
+ 
+ AC_DEFUN([AC_PROG_SWIG],[
+@@ -68,7 +71,7 @@
+                                 [available_patch=0]
+                         fi
+-                        if test $available_major -ne $required_major \
+-                                -o $available_minor -ne $required_minor \
+-                                -o $available_patch -lt $required_patch ; then
++                      [required_full=`printf %2.2d%2.2d%2.2d%2.2d 
$required_major $required_minor $required_patch]`
++                      [available_full=`printf %2.2d%2.2d%2.2d%2.2d 
$available_major $available_minor $available_patch]`
++                        if test $available_full -lt $required_full; then
+                                 AC_MSG_WARN([SWIG version >= $1 is required.  
You have $swig_version.  You should look at http://www.swig.org])
+                                 SWIG=''

-- 
Geometry engine for Geographic Information Systems

_______________________________________________
Pkg-grass-devel mailing list
Pkg-grass-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-grass-devel

Reply via email to